Subject: Re: [PATCH] powerpc: Fix demotion of segments to 4K pages

From: Olof Johansson <[email-masked]>
Date: Sun, 28 Oct 2007 22:06:48 -0500

On Mon, Oct 29, 2007 at 01:00:29PM +1100, Benjamin Herrenschmidt wrote:
 
> On Sun, 2007-10-28 at 20:50 -0500, Olof Johansson wrote:
> > Hi Ben,
> > 
> > On Mon, Oct 29, 2007 at 12:05:18PM +1100, Benjamin Herrenschmidt wrote:
> > > @@ -887,6 +886,9 @@ void hash_preload(struct mm_struct *mm, 
> > >  	local_irq_restore(flags);
> > >  }
> > >  
> > > +/* WARNING: This is called from hash_low_64.S, if you change this prototype,
> > > + *          do not forget to update the assembly call site !
> > > + */
> > 
> > Since we're already policing whitespace on this list today: We're normally
> > not using spaces before exclamation marks.
> 
> And I don't care, I will continue adding them because the opposite is
> fugly :-)

Yeah , I know what you mean . This looks so much more natural .

> There is a limit to what I accept from the style police, it's not like
> Linux has to look like it's written by a single person either.

Good one ! That one goes to the bookmark list . :-)

I agree though , whitespace policing tends to be counter-productive ,
together with (minor) grammar and spelling errors in comments . Still,
people love to point them out so I figured I would do it too .

- Olof